OpenAFP-1.3.2: IBM AFP document format parser and generator

Safe Haskell | None

OpenAFP.Records.AFP.MCF1

# Documentation

data MCF1_Data

Constructors

MCF1_Data |
Fields mcf1_CodedFontLocalId :: !N1 mcf1_Reserved1 :: !A1 mcf1_CodedFontResourceSectionId :: !N1 mcf1_Reserved2 :: !A1 mcf1_CodedFontName :: !A8 mcf1_CodePageName :: !A8 mcf1_FontCharacterSetName :: !A8 mcf1_CharacterRotation :: !N2

Instances

Show MCF1_Data |
Typeable MCF1_Data |
Rec MCF1_Data |
RecData MCF1 MCF1_Data |

data MCF1

Constructors

MCF1 |
Fields mcf1_Type :: !N3 mcf1_ :: !N3 mcf1_RepeatingGroupLength :: !N1 mcf1__ :: !A3 mcf1_Data :: ![Record MCF1_Data]

Instances

Show MCF1 |
Typeable MCF1 |
Rec MCF1 |
RecData MCF1 MCF1_Data |